/*
 * Drawing instructions for Weather icons
 * Inspired by Weather Icons
 * https://erikflowers.github.io/weather-icons/
 */

#include "Adafruit_RA8875.h"
#define BROWN 0x8244

void iconCloud(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t r);
void iconSun(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t r);
void iconMoon(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t r);

void iconClearDay(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);
void iconClearNight(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);
void iconRain(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);
void iconSleet(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);
void iconSnow(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);
void iconWind(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);
void iconFog(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);

void iconCloudy(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);
void iconCloudyDay(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);
void iconCloudyNight(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);

void iconHail(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);
void iconThunderstorm(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);
void iconTornado(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t s);

void iconButton(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t w, uint16_t h);
void iconPressButton(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t w, uint16_t h);

void iconSunRise(Adafruit_RA8875& display, uint16_t x, uint16_t y, String direction);
void iconMoonPhase(Adafruit_RA8875& display, uint16_t x, uint16_t y, uint16_t r, float phase);

void iconHouse(Adafruit_RA8875& display, String timeofday);

void iconBatteryEmpty( Adafruit_RA8875& display);

void iconWindow(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t w, uint16_t h, uint16_t r);

void iconMushroom(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t w, uint16_t h, uint16_t r);

void iconPopBox(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t w, uint16_t h, uint16_t r);

void iconSunSmile(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t r);

void iconCircle(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t r);
void iconSquare(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t size);
void iconTriangle(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t size);
void iconStar(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t size);
void iconDiamond(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t size);
void iconHeart(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t size);
void iconPixelatedTree1(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t size);
void iconPixelatedTree2(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t size);
void iconPixelatedTree3(Adafruit_RA8875& tft, uint16_t x, uint16_t y, uint16_t size);